package org.project.entity.players;

import org.project.item.armors.Armor;
import org.project.item.weapons.Sword;
import org.project.item.weapons.Weapon;

// TODO: UPDATE IMPLEMENTATION
public class Knight extends Player {
    private static int DEFAULT_HP = 100;
    private static int DEFAULT_MP = 100;
    private static Sword DEFAULT_WEAPON = new Sword();
    private static String DEFAULT_NAME = "Ser Duncan";
    private static int DEFAULT_HEAL_MANA_COST = 30;
    private static int DEFAULT_DEFEND_MANA_COST = 20;

    public Knight() {
        super(DEFAULT_NAME, DEFAULT_HP, DEFAULT_MP, DEFAULT_WEAPON,
                DEFAULT_HEAL_MANA_COST, DEFAULT_DEFEND_MANA_COST);
    }
    public Knight(String name) {
        super(name, DEFAULT_HP, DEFAULT_MP, DEFAULT_WEAPON,
                DEFAULT_HEAL_MANA_COST, DEFAULT_DEFEND_MANA_COST);
    }

    public Knight(String name, int hp, int mp, Weapon weapon,
                  int healManaCost, int defendManaCost) {
        super(name, hp, mp, weapon, healManaCost, defendManaCost);
    }



    @Override
    public String getType() {
        return "Knight" ;
    }



    // TODO: DESIGN KNIGHT'S WEAPON AND ARMOR AND IMPLEMENT THE CONSTRUCTOR
}
